DELETE https://management.azure.com/subscriptions/1f31ba14-ce16-4281-b9b4-3e78da6e1616/resourceGroups/res4228/providers/Microsoft.StorageActions/storageTasks/mytask1?api-version=2023-01-01
/**
* Samples for StorageTasks Delete.
*/
public final class Main {
/*
* x-ms-original-file: 2023-01-01/storageTasksCrud/DeleteStorageTask.json
*/
/**
* Sample code: DeleteStorageTask.
*
* @param manager Entry point to StorageActionsManager.
*/
public static void deleteStorageTask(com.azure.resourcemanager.storageactions.StorageActionsManager manager) {
manager.storageTasks().delete("res4228", "mytask1", com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.storageactions import StorageActionsMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-storageactions
# USAGE
python delete_storage_task.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = StorageActionsMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
client.storage_tasks.begin_delete(
resource_group_name="res4228",
storage_task_name="mytask1",
).result()
# x-ms-original-file: 2023-01-01/storageTasksCrud/DeleteStorageTask.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armstorageactions_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/storageactions/armstorageactions"
)
// Generated from example definition: 2023-01-01/storageTasksCrud/DeleteStorageTask.json
func ExampleStorageTasksClient_BeginDelete() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armstorageactions.NewClientFactory("1f31ba14-ce16-4281-b9b4-3e78da6e1616", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewStorageTasksClient().BeginDelete(ctx, "res4228", "mytask1", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
_, err = poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to pull the result: %v", err)
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { StorageActionsManagementClient } = require("@azure/arm-storageactions");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to delete the storage task resource.
*
* @summary delete the storage task resource.
* x-ms-original-file: 2023-01-01/storageTasksCrud/DeleteStorageTask.json
*/
async function deleteStorageTask() {
const credential = new DefaultAzureCredential();
const subscriptionId = "1f31ba14-ce16-4281-b9b4-3e78da6e1616";
const client = new StorageActionsManagementClient(credential, subscriptionId);
await client.storageTasks.delete("res4228", "mytask1");
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.StorageActions.Models;
using Azure.ResourceManager.StorageActions;
// Generated from example definition: 2023-01-01/storageTasksCrud/DeleteStorageTask.json
// this example is just showing the usage of "StorageTask_Delete" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this StorageTaskResource created on azure
// for more information of creating StorageTaskResource, please refer to the document of StorageTaskResource
string subscriptionId = "1f31ba14-ce16-4281-b9b4-3e78da6e1616";
string resourceGroupName = "res4228";
string storageTaskName = "mytask1";
ResourceIdentifier storageTaskResourceId = StorageTaskResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, storageTaskName);
StorageTaskResource storageTask = client.GetStorageTaskResource(storageTaskResourceId);
// invoke the operation
await storageTask.DeleteAsync(WaitUntil.Completed);
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue